## Bsoft program

# beditimg

### Usage: beditimg [options] [input.img] output.img

Creates a new image or modifies an input image by inserting or deleting regions.

### Actions:

-create 20,60,30 | Create a new image of this size (pixels/voxels).
| Note: No input image is read and the first file name is taken as the output image.
-rescale -0.1,5.2 | Rescale data to average and standard deviation.
-box 0,3,44,50,30,44 | Start (lower-left-back voxel) and size of box (voxels).
-sphere 22,5,39,120 | Center and radius from center of sphere (voxels).
-shell 32,45,23,20,120 | Center and inner and outer radii of shell (voxels).
-cylinder 41,76,9,12,23 | Center, radius and height of cylinder (voxels).
-quadratic 1,2,1,2,1,2,1 | Create a quadratic image (7 parameters).
-gradient quad | Correct for the gradient in an image: linear or quadratic.
-tetrahedron 9,-3,4,... | Extract a tetrahedron defined by four sets of 3-valued vectors.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-origin 60.4,-32.2,44 | Origin of image (voxels).
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-images 12 | Number of images (default: 1).
-fill 0.02 | Fill value: average (default), background, or value.
-background -1.2 | Fill a newly created image with a background value.
-edgewidth 10 | Gaussian width of edge of region to delete (voxels, <0 inverts selection).
-wrap | Turn wrapping on (default off).

### Parameters for placing an image (use with -place):

-location 33,12,56 | Location to place an input image.
-rotate 0,0.4,0.7,52 | Rotation applied before placing an input image.

### Input:

-place img.pif | An image to place within a larger image.

Bsoft version 2.0.3-20180917 (64 bit)